/**
 * repraesentiert ein Sparkonto in der Banksimulation
 * @author Martin Ploetz
 *
 */
public class Sparkonto extends Konto {

	private double zinssatz;
	
	/**
	 * Sparkonto-Konstruktor
	 * @param kontonr
	 * @param kunde
	 * @param bank
	 * @param zinssatz
	 */
	public Sparkonto(int kontonr, Kunde kunde, Bank bank, double zinssatz) {
		super(kontonr, kunde, bank);
		this.zinssatz = zinssatz;
	}

	public double getZinssatz() {
		return zinssatz;
	}

	public void setZinssatz(double zinssatz) {
		this.zinssatz = zinssatz;
	}
	
	/**
	 * gibt zurueck, welchen Betrag es beim aktuellen Kontostand an Zinsen gaebe
	 * @return
	 */
	public double getZinsen(){
		return super.getKontostand()*zinssatz;
	}
	
	@Override
	public void auszahlen(double betrag){
		if(super.getKontostand() > betrag){
			super.auszahlen(betrag);
		}else{
			System.out.println("Konto nicht ausreichend gedeckt!");
		}
	}

}
